#
#	015 Configure local users
#

# User creation
echo "# Usuari local argo"
	res=$(useradd argo -m -d /home-local/argo -u 10000 -p `perl -e 'print crypt("'""'","SA"), "\n";'` -c "Usuari local argo" 2>&1)
	if [ ! $? -eq 0 ];then
		echo "# Warning:: S'ha produït un error al crear l'usuari local argo: $res"
        else
                echo -e "\n\t Linkat: S'ha creat l'usuari local sense contrasenya 'argo'\n"

        fi


if [ ! -e /home-local/argo/.gnome2 ];then
	res=$(mkdir -m 777 /home-local/argo/.gnome2 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: No s'ha pogut crear el fitxer d'arrancada de gnome de l'usuari argo: $res"
	fi
else
	if [ -e /home-local/argo/session-manual ];then
		res=$(mv /home-local/argo/.gnome2/session-manual /etc/Linkat/backup/argo-session-manual.orig 2>&1)
		if [ ! $? -eq 0 ];then
			echo "Error:: No s'ha pogut fer una copia de seguretat del fitxer session-manual de l'usuari argo; $res"
		fi
	fi
fi

if [ ! -e /home-local/argo/compartits ];then
	res=$(mkdir /home-local/argo/compartits 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error::No s'ha pogut crear el directori de compartits del usuari argo:$res"
	else
		res=$(chmod 555 /home-local/argo/compartits)
		if [ ! $? -eq 0 ];then
			echo "Error::No s'han pogut establir permisos per al directori compartits."
		fi
		res=$(ln -s /mnt/nfs/P /home-local/argo/compartits/P 2>&1)
		if [ ! $? -eq 0 ];then
			echo "Error::No s'ha pogut generar l'enllac compartits -> /mnt/nfs/P; $res"
		fi

		res=$(ln -s /mnt/nfs/S /home-local/argo/compartits/S 2>&1)
		if [ ! $? -eq 0 ];then
			echo "Error::No s'ha pogut generar l'enllac compartits -> /mnt/nfs/S; $res"
		fi

		res=$(ln -s /mnt/nfs/T /home-local/argo/compartits/T 2>&1)
		if [ ! $? -eq 0 ];then
			echo "Error::No s'ha pogut generar l'enllac compartits -> /mnt/nfs/T; $res"
		fi

	fi
fi

res=$(cp /etc/Linkat/data/session-manual.Linkat /home-local/argo/.gnome2/session-manual 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut aplicar l'arrancada automàtica de logon scripts del l'usuari argo; $res"
else
	res=$(chmod 444 /home-local/argo/.gnome2/session-manual 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Warning:: No s'ha pogut aplicar correctament l'arrancada automàtica de logon scripts del l'usuari argo; $res"
	else
		echo -e "\n\t Linkat: Canvis aplicats per l'execució automàtica de logon scripts del l'usuari argo\n"
	fi
fi


