#
#	035 Setup NTP Client
#

echo "#Client NTP"
if [ -e /etc/ntp.conf ];then
	res=$(cp /etc/ntp.conf /etc/Linkat/backup/ntp.conf.orig 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:S'ha produït un error al aplicar els canvis del servidor NTP; $res"
		res_code=1
	fi
fi

res=$(cat /etc/Linkat/data/ntp.conf.Linkat | sed s/__SERVIDOR__/$SERV_CENTR/g > /etc/ntp.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:S'ha produït un error al aplicar els canvis del servidor NTP; $res"
	res_code=1
else
	res=$(rcntp status 2>&1)
	case $? in
		3)
			nohup rcntp start 2>&1 &
		;;
		0)
			nohup rcntp restart 2>&1 &
		;;
		*)
			res_code=1
		;;
	esac
	if [ $res_code -ne 0 ];then
		echo "Error:: S'ha produït un error al aplicar els al dimoni xntpd: $res"
	else
		echo -e "\n\tLinkat: Canvis aplicats al client xntpd"
		res=$(chkconfig --add ntp 2>&1)
		if [ ! $? -eq 0 ];then
			echo "Error:: No s'ha pogut posar el servei NTP a la seqüència d'init"
		else
			echo -e "Warning:: S'ha posat el servei NTP a la seqüència d'init \n\t $res \n"
		fi
	fi
fi

