#
#	040 Configure jclic
#

echo "#JClic"
if [ -e /etc/.edu.xtec.properties ];then
	res=$(rm -rf /etc/.edu.xtec.properties 2>&1)
	if  [ ! $? -eq 0 ];then
		echo "Warning: Hi havia un anterior fitxer de configuració i no s'ha pogut esborrar"
	fi
fi

res=$(cp /etc/Linkat/data/.edu.xtec.properties /etc/ 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut crear el fitxer de configuració general de JClic"
	err_code=1
else
	res=$(chmod 664 /etc/.edu.xtec.properties 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error::Error establint els permisos del fitxer de configuració de JClic;$res"
	else
		lang=$(locale | grep LANG | cut -d "=" -f 2 | cut -d "_" -f 1)
		if [ ! $? -eq 0 ];then
			echo "Warning:: no s'ha pogut obtenir l'idioma del sistema, posant el català"
			lang=ca
		else
			if [ $lang="" ];then
				lang=ca
			fi
			res=$(echo "language=$lang" >> /etc/.edu.xtec.properties 2>&1)
			if [ ! $? -eq 0 ];then
				echo "Error:: No s'ha pogut configurar l'idioma per defecte del JClic; $res"
			fi
		fi
	fi
fi

if [ $err_code=0 ];then
	if [ -e  /usr/lib/jvm/jre/lib/.edu.xtec.properties ];then
	res=$(rm -rf /usr/lib/jvm/jre/lib/.edu.xtec.properties 2>&1)
        if [ ! $? -eq 0 ];then
		echo "Warning::Ja existia un fitxer /usr/lib/java/jre/lib/.edu.xtec.properties, s'ha intentat esborrar però no s'ha pogut esborrar; $res"
	fi
fi

# path java
res=$(ln -s /etc/.edu.xtec.properties /usr/lib/jvm/jre-1.6.0/lib/ 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut crear el link simbòlic per la configuració de JClic; $res"
	err_code=1
	fi
fi

if [ -e /usr/share/java/JClic/bin/JClic/jclic.cfg ];then
	res=$(mv /usr/share/java/JClic/bin/JClic/jclic.cfg /etc/Linkat/backup/jclic.cfg.orig 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error: No s'ha pogut fer una còpia de seguretat de la configuració de client de   reports; $res"
	else
		echo "warning: /usr/local/JClic/jclic.cfg saved as /etc/Linkat/backup/jclic.cfg.orig"
	fi
fi

if [ $err_code -eq 0 ];then

	res=$(cat /etc/Linkat/data/jclic.cfg | sed s/__SERVIDOR__/$SERV_CENTR/g > /usr/share/java/JClic/bin/JClic/jclic.cfg 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: No s'ha pogut copiar la configuració de client del servidor d'informes ; $res"
		err_code=1
	else
		res=$(chmod 664 /usr/share/java/JClic/bin/JClic/jclic.cfg 2>&1)
		if [ ! $? -eq 0 ];then
			echo "Error::Error establint els permisos del fitxer de configuració de JClic;$res" 
		fi
	fi
fi

res=$(chmod 664 /usr/share/java/JClic/bin/JClic/jclic.cfg 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error::Error establint els permisos del fitxer de configuració de JClic;$res" 
fi

# Icona de JCLic

res=$(cat /etc/Linkat/data/jclicreports.desktop.Linkat | sed s/__SERVIDOR__/$SERV_CENTR/g > /usr/share/applications/jclicreports.desktop 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "\n\nError: No s'ha generat be la icona de Jclic reports\n"
fi

