#!/bin/bash
#
# Zenity GUI to request a valid password for $USER user.
#
# Author: Jordi "Txor" Casas Rios <jordi.casas@opentrends.net>
#

ZENITY=$(which zenity)
USER=$1
# Loop until user inserts a right password twice.
FI=0
while [ $FI -eq 0 ] ; do
	FI=1
	PASS_1=$($ZENITY --title="Contrasenya $USER" --entry --text="Introduïu la contrasenya per l'usuari $USER." --hide-text)
	if [ -z $PASS_1 ] ; then
		FI=0
		$ZENITY --error --text="La contrasenya no pot ser buida!" --timeout=20
	else
		PASS_2=$($ZENITY --title="Contrasenya $USER" --entry --text="Torneu a introduir un altre cop la contrasenya per l'usuari $USER." --hide-text)
		if [ $PASS_1 != $PASS_2 ] ; then
			FI=0
			$ZENITY --error --text="La contrasenya no coincideix!" --timeout=20
		fi	
	fi
done
PASS=$(/etc/Linkat/lib/crypt_passwd.py $PASS_1)
echo $PASS

