#
#	045 Configure shared folders
#

echo "#Unitats compartides"

echo -e "\n\t Parant autofs: "
res=$(rcautofs status 2>&1)
case $? in
	0)
		res=$(rcautofs stop 2>&1)
		if [ ! $? -eq 0 ];then
			res_code=1
			echo -e "\t No Ok! "
		else
			echo -e "\t Ok! "
		fi
	;;
	*)
		res_code=1
	;;
esac


err_code=0
if [ ! -e /mnt/nfs ];then
	res=$(mkdir -m 555 /mnt/nfs 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Warning:: No s'ha pogut crear el directori /mnt/nfs. No es podran muntar les unitats de xarxa automàticament; $res"
	else
		echo -e "\t S'ha creat directori de shares de les unitats de professorat i programari. "
	fi
fi

err_code=0
if [ ! -e /mnt/samba ];then
	res=$(mkdir -m 555 /mnt/samba 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Warning:: No s'ha pogut crear el directori /mnt/samba. No es podran muntar les unitats de xarxa automàticament; $res"
	else
		echo -e "\t S'ha creat directori de shares de la unitat de treball. "
	fi
fi


res=$(mount | grep "$SERV_CENTR:/srv/exports on /mnt/nfs" 2>&1)
ex="0"
while [ $? -eq 0 ] && [ $ex -eq "0" ] ;do
	res=$(umount /mnt/nfs 2>&1)
	if [ ! $? -eq 0 ];then
		echo  "Warning:: No s'ha pogut desmuntar les unitats compartides: $res"
		ex="1"
	fi
	res=$(mount | grep "$SERV_CENTR:/srv/exports on /mnt/nfs" 2>&1)
done

res=$(mount | grep "$SERV_CENTR:/srv/exports on /mnt/samba" 2>&1)
ex="0"
while [ $? -eq 0 ] && [ $ex -eq "0" ] ;do
	res=$(umount /mnt/nfs 2>&1)
	if [ ! $? -eq 0 ];then
		echo  "Warning:: No s'ha pogut desmuntar les unitats compartides: $res"
		ex="1"
	fi
	res=$(mount | grep "$SERV_CENTR:/srv/exports on /mnt/samba" 2>&1)
done

res=$(chown root.root /mnt/nfs 2>&1)
if [ ! $? -eq 0 ];then
	echo "Warning:: No s'han pogut canviar els permisos del directori /mnt/nfs. Pot donar problemes amb els muntatges automàtics de les unitats de xarxa; $res"
else
		echo -e "\n\t Linkat: Canvis aplicats\n"
fi


res=$(chown root.root /mnt/samba 2>&1)
if [ ! $? -eq 0 ];then
	echo "Warning:: No s'han pogut canviar els permisos del directori /mnt/samba. Pot donar problemes amb els muntatges automàtics de les unitats de xarxa; $res"
else
	echo -e "\n\t Linkat: Canvis aplicats\n"
fi

echo -e "\n\t Inici autofs: "
res=$(rcautofs restart 2>&1)

