#
#	050 Configure LDAP Client
#

echo "#Client LDAP"
res=$(/etc/Linkat/lib/save_ldap_config.sh > /etc/Linkat/backup/client_LDAP.restore)
if [ ! $? -eq 0 ];then
	echo "Error: S'ha produït un error al salvar la configuració actual del client LDAP; $res"
	res_code=1
else
	echo -e "\tS'ha salvat correctament la configuració actual del client LDAP.\n\t $res \n"
fi

if [ -e /etc/ldap.conf ];then
	res=$(cp /etc/ldap.conf /etc/Linkat/backup/ldap.conf.orig 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error: S'ha produït un error al salvar el fitxer /etc/ldap.conf; $res"
		res_code=1
	fi
fi

res=$(cat /etc/Linkat/data/ldap.conf.Linkat | sed s/__SERVIDOR__/$SERV_CENTR/g | sed s/__DOMINI__/$DN_LDAP/g > /etc/ldap.conf 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error: S'ha produït un error al aplicar els canvis del clientr LDAP; $res"
		res_code=1
	else
		echo -e "\tS'ha aplicat la configuració de LDAP.\n\t $res \n"
fi


res=$(yast2 ldap pam enable server=$IP_LDAP base="$DN_LDAP" automounter=yes mkhomedir=yes >/dev/null 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error: S'ha produït un error al aplicar els canvis del clientr LDAP; $res"
	res_code=1
else
	echo -e "\tS'ha aplicat la configuració de LDAP.\n\t $res \n"
fi

gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type Boolean --set /apps/gdm/simple-greeter/disable_user_list True
