# /etc/profile.d script to create desktop icon on root's destop.
#
# Author: Jordi "Txor" Casas Ríos <txorlings@gmail.com>
# Edited: Pablo Vigo <pvigo#xtec.cat>

if [ $UID -eq 0 ] ; then
	if [ ! -f /etc/Linkat/backup/icon_installed ] ; then
		cat > /root/Escriptori/client_configuration.desktop << EOF
#!/usr/bin/env xdg-open
[Desktop Entry]
Name=Client configuration
GenericName=Client configuration
Exec=/usr/bin/xdg-su -c '/etc/Linkat/Linkat.sh install'
Type=Application
Terminal=false
Icon=/usr/share/pixmaps/client_configuration.png
EOF
		chmod 755 /root/Escriptori/client_configuration.desktop
		touch /etc/Linkat/backup/icon_installed
	fi
fi
