#
#	010 Remove home automount
#

echo "#Automuntatge dels homes d'usuari"
if [ ! -e /etc/Linkat/backup/auto.master.orig ];then
	echo "Error: No s'ha pogut restaurar la configuració del automount, falta copia de seguretat del fitxer original /etc/auto.master"
else
	res=$(mv /etc/Linkat/backup/auto.master.orig /etc/auto.master 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: No s'ha pogut restaurar la copia de seguretat de la configuració del automount; $res"
	else
		res=$(rm -r /etc/auto.homes 2>&1)
		if [ ! $? -eq 0 ];then
			echo "Warning:: Alguns fitxers de la configuració no s'han pogut esborrar ; $res"
		else
			res=$(rcautofs restart 2>&1)
			if [ ! $? -eq 0 ];then
				echo "Error::Error al reiniciar el servei d'automuntatge; $res"
			else
				echo -e "\n\tLinkat: S'ha restaurat la configuració del automount\n"
			fi
		fi
	fi
fi

if [ -e /etc/auto.nfs ];then
	rm -rf /etc/auto.nfs
fi

if [ -e /etc/auto.samba ];then
	rm -rf /etc/auto.samba
fi

if [ -h /sbin/mount.smbfs ];then
	rm -f /sbin/mount.smbfs
fi
	
res=$(chkconfig --del autofs 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut treure el servei d'automuntatge de la seqüència d'init"
else
	echo -e "Warning:: S'ha tret el servei d'automuntatge de la seqüència d'init \n\t $res \n"
fi

res=$(rcautofs stop 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha pogut aturar el servei autofs; $res"
else
	echo -e "Warning:: S'ha aturat el servei autofs"
fi

