#
#	Delete LDAP Client configuration
#

echo "#Client LDAP"
if [ ! -e /etc/Linkat/backup/ldap.conf.orig ];then
	echo "No s'ha pogut restaurar la configuració del client LDAP, falta copia de seguretat del fitxer original /etc/ldap.conf"
else
	res=$(mv /etc/Linkat/backup/ldap.conf.orig /etc/ldap.conf 2>&1)
	if [ ! $? -eq 0 ];then
		echo "Error:: S'ha produït un error al restaurar la configuració LDAP; $res"
		res_code=1
	else
		echo -e "\n\tLinkat: S'ha restaurat la configuració del client LDAP\n"
	fi
fi

res=$(cat /etc/Linkat/backup/client_LDAP.restore)
if [ ! $? -eq 0 ];then
	echo "Error:: S'ha produït un error al reconfigurar el client LDAP; $res"
	res_code=1
else
	echo -e "\n\tLinkat: S'ha reconfigurat el client LDAP\n"
fi

gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type Boolean --set /apps/gdm/simple-greeter/disable_user_list False
